Package: groovy.jmx.builder

## [Groovy] Class JmxServerConnectorFactory

- groovy.jmx.builder.JmxServerConnectorFactory

- This is the server connector factory used for node JmxBuilder.connectorServer(). A call to this node returns an instance of JMXConnectorServer interface (rmi default).

  Possible syntax:

          JmxBuilder.connectorServer(
              protocol:"rmi",
              host:"...",
              port:1099,
              url:"...",
              properties:[
                  "authenticate":true|false,
                  "passwordFile":"...",
                  "accessFile":"...",
                  "sslEnabled" : true | false
               ...
              ]
           )

  Authors:
    Vladimir Vivien
  See Also:
    JMXConnector

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isLeaf()`
    `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)`
    `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`
    `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, onFactoryRegistration, setChild, isLeaf, setParent, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, newInstance`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### boolean isLeaf()

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeArgs, Map nodeAttribs)

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)